#!/bin/sh

# son3fl.sh

# In Redhat Fedora 2 force use of Ghostscript 7.03 built from source

export PATH="/usr/local/gs7.03/bin:$PATH"

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. setupfuncs.sh son3fl.sh -D FLAUTO

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 1 page

echo 1st movement, generating single pages ...

domovement 1 son31

# 2nd movement, 1 page

echo 2nd movement, generating single pages ...

domovement 1 son32

# 3rd movement, 1 page

echo 3rd movement, generating single pages ...

domovement 1 son33

echo 4th movement, generating single pages ...

domovement 1 son34

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son3fl > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

mkps son3fl

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file with dvipdfm ...

dvipdfm son3fl

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son3*.epsi > /dev/null

rm -f son3fl.dvi > /dev/null

exit
