#!/bin/bash

# son4.sh

# In Redhat Fedora 2 force use of Ghostscript 7.03 built from source

# export PATH="/usr/local/gs7.03/bin:$PATH"

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

#set -x 

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. ./setupfuncs.sh son4.sh -D SCORE

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 3 pages

echo 1st movement, generating single pages ...

domovement 3 son41

# 2nd movement, 1 page

echo 2nd movement, generating single pages ...

domovement 1 son42

# 3rd movement, 2 pages

echo 3rd movement, generating single pages ...

domovement 2 son43

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son4 > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file  ...

#dvipdfm son4
mkps son4
ps2pdf_letter son4

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son4*.epsi > /dev/null

rm -f son4*.ps > /dev/null

rm -f son4.dvi > /dev/null

rm -f *.log > /dev/null

exit
