#!/bin/bash

# son4bs.sh

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. ./setupfuncs.sh son4fl.sh -D BASSO

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 2 pages

echo 1st movement, generating single pages ...

domovement 1 son41

# 2nd movement, 1 page

echo 2nd movement, generating single pages ...

domovement 1 son42

# 3rd movement, 1 pages

echo 3rd movement, generating single pages ...

domovement 1 son43

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son4bs > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file 

#dvipdfm son4bs
mkps son4bs
ps2pdf_letter son4bs

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son4*.epsi > /dev/null

rm -f son4*.ps > /dev/null

rm -f son4bs.dvi > /dev/null

rm -f *.log > /dev/null

exit
