#!/bin/bash

# son4u.sh

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. ./setupfuncs.sh son4u.sh -D URTEXT

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 3 pages

echo 1st movement, generating single pages ...

domovement 3 son41

# 2nd movement, 1 page

echo 2nd movement, generating single pages ...

domovement 1 son42

# 3rd movement, 2 pages

echo 3rd movement, generating single pages ...

domovement 2 son43

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son4u > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file 

#/usr/local/bin/dvipdfm -p letter son4u
mkps son4u
ps2pdf_letter son4u

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son4*.epsi > /dev/null

rm -f son4*.ps > /dev/null

rm -f *.dvi > /dev/null

rm -f *.log > /dev/null

exit
