#!/bin/bash

# son6fl.sh

# In Redhat Fedora 2 force use of Ghostscript 7.03 built from source

#export PATH="/usr/local/gs7.03/bin:$PATH"

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. ./setupfuncs.sh son6fl.sh -D FLAUTO

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 2 pages

echo 1st movement, generating single pages ...

domovement 2 son61

# 2nd movement, 1 page

echo 2nd movement, generating single pages ...

domovement 1 son62

# 3rd movement, 1 pages

echo 3rd movement, generating single pages ...

domovement 2 son63

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son6fl > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

mkps son6fl

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file 

#dvipdfm son6fl
mkps son6fl
ps2pdf son6fl.ps

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son6*.epsi > /dev/null

rm -f son6*.ps > /dev/null

rm -f son6fl.dvi > /dev/null

exit
