#!/bin/bash

# son6u.sh

# Generate score with b.c. arrangement from TeX produced front 
# page, comments etc and single .epsi pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. ./setupfuncs.sh son6u.sh -D URTEXT

# ----------------------------------------------------------------------- #
# Main programme                                                          #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 2 pages

echo 1st movement, generating single pages ...

domovement 2 son61

# 2nd movement, 2 pages

echo 2nd movement, generating single pages ...

domovement 2 son62

# 3rd movement, 3 pages

echo 3rd movement, generating single pages ...

domovement 3 son63

echo note examples

mup -F son63_ex1
ps2epsi son63_ex1.ps

# Process TeX sources including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

tex son6u > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

# Produce pdf file based on .dvi and .epsi files

echo generating pdf file ...

#dvipdfm son6u
mkps son6u
ps2pdf_letter son6u

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f son6*.epsi > /dev/null

rm -f son6*.ps > /dev/null

rm -f son6u.dvi > /dev/null

rm -f *.log > /dev/null

exit
